<!-- /********************************************************************************
* Copyright (c) 2020 Contributors to the Eclipse Foundation
*
* See the NOTICE file(s) distributed with this work for additional
* information regarding copyright ownership.
*
* This program and the accompanying materials are made available under the
* terms of the Eclipse Public License v. 2.0 which is available at
* http://www.eclipse.org/legal/epl-2.0.
*
* SPDX-License-Identifier: EPL-2.0
********************************************************************************/ -->
<app-card-layout>
  <div header>
    <span>{{ 'DistributionGroups.Title' | translate }}</span>
    <div class="pull-right" *visibleByRight="[RolesEnum.PUBLISHER]">
      <button class="btn btn-primary new-button" (click)="sandbox.createDistributionGroup(); unselectFirstRow()">
        {{ 'DistributionGroups.New' | translate }}
      </button>
    </div>
  </div>
  <div class="distribution-group-container" body>
    <div class="distribution-group-list">
      <ag-grid-angular
        autoResizeColumns
        class="ag-theme-balham distribution-group-list"
        [gridOptions]="gridOptions"
        [columnDefs]="columnDefinition"
        [rowSelection]="'single'"
        [components]="frameworkComponents"
        [rowData]="sandbox.distributionGroupList$ | async"
        [overlayNoRowsTemplate]="noRowsTemplate"
      >
      </ag-grid-angular>
      <app-spinner [isRunning]="sandbox.distributionGroupLoading$ | async"></app-spinner>
      <div class="distribution-group-member-container">
        <app-distribution-group-members (rowSelectionChanged)="plzValueId = $event" class="distribution-group-member"></app-distribution-group-members>
        <app-distribution-group-member-postcodes [plzValueId]="plzValueId" class="distribution-group-member-postcodes"></app-distribution-group-member-postcodes>
      </div>
    </div>
    <app-distribution-group-details class="distribution-group-form"></app-distribution-group-details>
  </div>
</app-card-layout>
